Update a deal
curl --request PATCH \
--url https://api.vendaze.com/v1/deals/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"pipeline_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"stage_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"currency": "USD",
"price_cts": 1,
"owner_email": "joao@company.com",
"forecast_date": "2023-11-07T05:31:56Z",
"person_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"company_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"tags": [
"<string>"
],
"custom_fields": [
{
"field_key": "deal_source",
"value": "<string>"
}
],
"products": [
{
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quantity": 1,
"unit_price_cts": 50000
}
],
"association_mode": "append"
}
'import requests
url = "https://api.vendaze.com/v1/deals/{id}"
payload = {
"name": "<string>",
"pipeline_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"stage_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"currency": "USD",
"price_cts": 1,
"owner_email": "joao@company.com",
"forecast_date": "2023-11-07T05:31:56Z",
"person_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"company_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"tags": ["<string>"],
"custom_fields": [
{
"field_key": "deal_source",
"value": "<string>"
}
],
"products": [
{
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quantity": 1,
"unit_price_cts": 50000
}
],
"association_mode": "append"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
pipeline_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
stage_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
currency: 'USD',
price_cts: 1,
owner_email: 'joao@company.com',
forecast_date: '2023-11-07T05:31:56Z',
person_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
company_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
tags: ['<string>'],
custom_fields: [{field_key: 'deal_source', value: '<string>'}],
products: [
{
product_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
quantity: 1,
unit_price_cts: 50000
}
],
association_mode: 'append'
})
};
fetch('https://api.vendaze.com/v1/deals/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Acme Corp Annual Contract",
"amount": 250000,
"currency": "USD",
"formatted_amount": "R$ 2.500,00",
"pipeline": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"stage": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"owner": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "John Smith",
"email": "john@company.com"
},
"source": "My Integration App",
"forecast_date": "2023-11-07T05:31:56Z",
"entity_id": "NEG-0001",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"products": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"quantity": 2,
"unit_price_cts": 50000,
"total_price_cts": 100000
}
],
"custom_fields": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"value": "<unknown>",
"field": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"key": "<string>",
"type": "<string>"
}
}
],
"tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"color_text": "<string>",
"color_background": "<string>"
}
],
"people": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"full_name": "<string>",
"emails": [
{
"email": "<string>",
"type": "<string>"
}
],
"phones": [
{
"phone": "<string>",
"type": "<string>"
}
],
"avatar_url": "<string>",
"entity_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"companies": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"full_name": "<string>",
"emails": [
{
"email": "<string>",
"type": "<string>"
}
],
"phones": [
{
"phone": "<string>",
"type": "<string>"
}
],
"avatar_url": "<string>",
"entity_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}
}{
"error": {
"code": "bad_request",
"message": "No fields provided for update.",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "unauthorized",
"message": "Missing or invalid Authorization header.",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "insufficient_scope",
"message": "This endpoint requires the 'webhooks:read' scope.",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "not_found",
"message": "Webhook not found.",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "validation_error",
"message": "Validation failed.",
"fields": {
"url": "url must use HTTPS.",
"events": "At least one event is required."
},
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "internal_error",
"message": "An unexpected error occurred.",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Deals
Update a deal
Updates a deal. Only the fields sent are modified.
Required scope
Required scope
deals:write
PATCH
/
v1
/
deals
/
{id}
Update a deal
Authorizations
OAuth 2.1 access token.
Path Parameters
UUID of the resource.
Body
application/json
Maximum string length:
70ISO 4217 currency code supported by Vendaze.
Available options:
AED, ARS, AUD, BRL, CAD, CHF, CLP, CNY, COP, DKK, EGP, EUR, GBP, HKD, ILS, INR, JPY, KWD, MAD, MXN, MYR, NGN, NOK, NZD, PEN, QAR, SAR, SEK, SGD, TRY, USD, UYU, ZAR Example:
"USD"
Deal value in cents.
Required range:
x >= 0Email of the workspace member to set as owner.
Example:
"joao@company.com"
Tag keys to associate with the deal.
Required string length:
1 - 30Custom field values to set for the deal.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
append, replace Response
Deal updated successfully.
Show child attributes
Show child attributes
Was this page helpful?
⌘I